<!-- Nav -->
<%- include('partials/nav', {active: "images"}); %>

<div class="container-fluid">
    <div class="row d-flex d-md-block flex-nowrap wrapper">
        <main class="col-12 float-left col px-5 px-md-3 py-3 main">
            <h1 class="display-3 hidden-xs-down">
                Dashboard
            </h1>
            <% include ./partials/messages %>
            <div class="my-3 p-3 bg-white rounded shadow-sm">
                <h6 class="border-bottom border-gray pb-2 mb-0">Pulled Images</h6>
                <div class="table-responsive">
                    <table class="table table-striped table-hover">
                        <thead class="thead-dark">
                            <tr>
                                <th scope="col">#</th>
                                <th scope="col">Id</th>
                                <th scope="col">Train ID</th>
                                <th scope="col">Image Tag</th>
                                <th scope="col" class="w-operations-btn">Operations</th>
                            </tr>
                        </thead>
                        <tbody>
                            <% for(var i=0; i < pull_images.length; i++) { %>
                            <tr>
                                <th scope="row"><%= i+1 %></th>
                                <td class="break-word w-20vw"><%= pull_images[i].Id %></td>
                                <td class="break-word w-50vw font-weight-bold"><%= pull_images[i].TrainClassId %></td>
                                <td class="break-word w-20vw"><%= pull_images[i].RepoTag %>
                                <% if(pull_images[i].Labels.includes('"decrypted":"true"')) { %>  
                                    <strong>Decrypted</strong>
                                <% } %>
                                </td>
                                <td>
                                    <a href="<%='/docker/image/decrypt?image=' + pull_images[i].RepoTag + '&jobId=' + pull_images[i].JobId %>"
                                        class="btn btn-warning my-2 my-sm-0 btn-block">Decrypt</a>
                                    <a href="<%='/dashboard/create/container?image=' + pull_images[i].RepoTag + '&jobId=' + pull_images[i].JobId + '&labels=' + pull_images[i].Labels %>"
                                        class="btn btn-primary my-2 my-sm-0 btn-block">Create
                                        Container</a>
                                    <a href="<%='/docker/image/remove?image=' + pull_images[i].RepoTag + '&jobId=' + pull_images[i].JobId %>"
                                        class="btn btn-danger my-2 my-sm-0 btn-block">Delete
                                        Image</a>
                                </td>
                            </tr>
                            <% } %>
                        </tbody>
                    </table>
                </div>
            </div>

            <div class="my-3 p-3 bg-white rounded shadow-sm">
                <h6 class="border-bottom border-gray pb-2 mb-0">Images waiting to push</h6>
                <div class="table-responsive">
                    <table class="table table-striped table-hover">
                        <thead class="thead-dark">
                            <tr>
                                <th scope="col">#</th>
                                <th scope="col">Id</th>
                                <th scope="col">Train ID</th>
                                <th scope="col">Image Tag</th>
                                <th scope="col" class="w-operations-btn">Operations</th>
                            </tr>
                        </thead>
                        <tbody>
                            <% for(var i=0; i < push_images.length; i++) { %>
                            <tr>
                                <th scope="row"><%= i+1 %></th>
                                <td class="break-word w-20vw"><%= push_images[i].Id %></td>
                                <td class="break-word w-50vw font-weight-bold"><%= push_images[i].TrainClassId %></td>
                                <td class="break-word w-20vw"><%= push_images[i].RepoTag %></td>
                                <td>
                                    <a href="<%='/docker/image/push?image='+push_images[i].RepoTag%>"
                                        class="btn btn-primary my-2 my-sm-0 btn-block">Push Image</a>
                                    <a href="<%='/docker/image/remove?image='+push_images[i].RepoTag + '&jobId=' + push_images[i].JobId %>"
                                        class="btn btn-danger my-2 my-sm-0 btn-block">Delete
                                        Image</a>
                                </td>
                            </tr>
                            <% } %>
                        </tbody>
                    </table>
                </div>
            </div>
        </main>
    </div>
</div>